EDIT - bug #9817

AggregationWizard: Changing the maxRank results in empty minRank
10/18/2021 01:12 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.28

Severity: blocker Found in Version:

Description

mail AM:

wenn ich den max-Rank beim DDS Aggregationsdialog andere wird immer der min-Rang auch geléscht. Auch in Féllen, wo dies
nicht notwendig ist.

Associated revisions

Revision 9f84¢595 - 10/20/2021 04:29 PM - Katja Luther

fix #9817: remember selected rank when update rank combo

History

#1 - 10/18/2021 01:37 PM - Andreas Miiller
- Tags set to aggregation, additivity, fast

- Target version changed from Unassigned CDM tickets to Release 5.45

This is a regression therefore setting to 5.28

#2 - 10/20/2021 04:30 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|9f84c59541baaae91592b1870fd11d5c802d68a8.

#3 - 10/20/2021 04:40 PM - Katja Luther
- Assignee deleted (Katja Luther)
- Target version deleted (Release 5.45)

- Severity changed from normal to blocker

This should be fixed, please review.

#4 - 10/20/2021 04:40 PM - Katja Luther
- Assignee set to Andreas Miiller

- Target version set to Release 5.45

#5 - 10/25/2021 12:10 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

#6 - 10/25/2021 01:42 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Tested for Structured DDS test:

e select highest rank "Order", select lowest rank "species"
¢ select highest rank "Genus" -> lowest rank still "species"
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/9f84c59541baaae91592b1870fd11d5c802d68a8

e select highest rank "Subspecies" -> lowest rank removed.

#7 - 10/25/2021 11:35 PM - Andreas Miiller
- % Done changed from 50 to 90

The problem itself is fixed now. There is a minor issue left: if a lowest rank is chosen the "Highest rank" combo still shows all ranks down to the
lowest. So the filter works only for selecting first highest rank and then lowest but not the other way round. Please decide if this should be fixed here
or if we add it to #9805 (issue 3 there is already about rank filtering)

#8 - 10/25/2021 11:35 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

#9 - 10/26/2021 10:25 AM - Katja Luther
Andreas Miller wrote:
The problem itself is fixed now. There is a minor issue left: if a lowest rank is chosen the "Highest rank" combo still shows all ranks down to the

lowest. So the filter works only for selecting first highest rank and then lowest but not the other way round. Please decide if this should be fixed
here or if we add it to #9805 (issue 3 there is already about rank filtering)

But if you choose the higher rank below the lowest rank, the lowest rank is emptied again, so it is not possible to create a wrong configuration, so |
would move it to #9805.

#10 - 10/26/2021 10:36 AM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Ok, so | think we can close this ticket now. Or is there still an open issue?

#11 - 10/26/2021 01:13 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.28
